# rsync

rsync syncronizes files. It allows to continue started transfers and incremental syncronisation. It is available on linux and mac. On windows it is available if you followed the instructions for the [Windows Subsystem for Linux](wsl.md). The general syntax of rsync is

```
rsync [options] source user@destination
```

## Examples

The user ab12cdef transfers the local file mydata.csv to a data project folder on rstudio1, display the progress and continue unfinished transfers (-P is the shorthand for --partial --progress).

```
rsync -P mydata.csv ab12cdef@rstudio1.idiv.de:/data/myproject/
```


Recursive (-r) transfer of the local myproject directory to a data project folder on rstudio1:

```
rsync -rP myproject ab12cdef@rstudio1.idiv.de:/data/
```


The following command does exactly the same. Note that with a trailing `/` on the source no additional directory is created, without it is always created!
```
rsync -avhP myproject/ ab12cdef@rstudio1.idiv.de:/data/myproject
```

If you are unsure about pathes and options, specify the `-n` option for dry run. Add `-v` for verbosity.
